Name:           python-easybuild
Version:        5.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        EasyBuild is a software build and installation framework that allows you to manage (scientific) software on High Performance Computing (HPC) systems in an efficient way.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://easybuild.io
Source:         %{pypi_source easybuild}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'easybuild' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-easybuild
Summary:        %{summary}

%description -n python3-easybuild %_description


%prep
%autosetup -p1 -n easybuild-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-easybuild -f %{pyproject_files}


%changelog
%autochangelog